var repair = 6; var damageGet = 4; var itemID = 359; var maxDamage = 270;
var power = 5+Math.sqrt(harvesting_lvl*2); var breakSpeech = "Wait, how did I broke these?";
var tool = [20, 65, 25, 15, 8, 10, 5]; itemUsed = true; mainSkill = harvesting_lvl;

if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05);
script.runScript("destructable blocks.js");}